Index: squid/contrib/chpasswd/chpasswd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/chpasswd.c	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/chpasswd.c	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -10,98 +10,105 @@
 #define MAXLEN 1024
 #define hhex(x) (((x) >= '0' && (x) <= '9') || ((x) >= 'a' && (x) <= 'f') || \
                   ((x) >= 'A' && (x) <= 'F'))
-char           *tn;
+char *tn;
 
 static void fixpwd(str);
-static int  htoi(s);
-void getconf(ConfigFile,IpAuth,PwdFile,PwdMinLen,PwdMaxLen,PwdLogFile,BgColor,TxColor,TiColor,RuColor,Logo,Width,Height,Header,BgImage,SmtpUser,SmtpSubject);
-static void vrfyrule(unsigned char *, unsigned char *, unsigned char *, unsigned char *);
-static void vrfyauth(IpAuth,PwdLogFile,PwdFile,SmtpUser,SmtpSubject);
+static int htoi(s);
+void getconf(ConfigFile, IpAuth, PwdFile, PwdMinLen, PwdMaxLen, PwdLogFile,
+    BgColor, TxColor, TiColor, RuColor, Logo, Width, Height, Header, BgImage,
+    SmtpUser, SmtpSubject);
+static void vrfyrule(unsigned char *, unsigned char *, unsigned char *,
+    unsigned char *);
+static void vrfyauth(IpAuth, PwdLogFile, PwdFile, SmtpUser, SmtpSubject);
 eperror(s);
 
-void main(argc, argv)
-    int             argc;
-    char           *argv[];
-{
-
-    FILE           *fpw,
-                   *tmp;
-    char            buf[MAXLEN];
-    char            User[255];
-    char            PUser[255];
-    char            WUser[255];
-    char            Old_pw[255];
-    char            WOld_pw[255];
-    char            New_pw1[255];
-    char            New_pw2[255];
-    char            Action[255];
-    char            Msg[MAXLEN];
-    char            command[255];
-    char	    PwdFile[MAXLEN]="c:\\squid23\\etc\\passwd";
-    char	    IpAuth[MAXLEN]="";
-    char	    PwdMinLen[255]="4";
-    char	    PwdMaxLen[255]="10";
-    char	    ShowPwd[255]="no";
-    char	    PwdMinChar[255]="0";
-    char	    PwdMinNum[255]="0";
-    char	    PwdMinSpec[255]="0";
-    char	    BgColor[255]="white";
-    char	    TiColor[255]="green";
-    char	    TxColor[255]="blue";
-    char	    RuColor[255]="red";
-    char	    Logo[MAXLEN]="";
-    char	    Width[MAXLEN]="80";
-    char	    Height[MAXLEN]="80";
-    char	    Header[MAXLEN];
-    char	    BgImage[MAXLEN]="";
-    char	    SmtpUser[MAXLEN]="";
-    char	    SmtpSubject[MAXLEN]="CHPASSWD EVENT";
-    char            InputBuffer[1024];
-    char	    ConfigFile[255];
-    char	    PwdLogFile[255];
-    char           *pContentLength;
-    char           *str;
-    char           *cpw,
-                    salt[3];
-    int             ContentLength;
-    int             i;
-    int             x,
-                    ok = 0;
+void
+main(argc, argv)
+     int argc;
+     char *argv[];
+{
+
+    FILE *fpw, *tmp;
+    char buf[MAXLEN];
+    char User[255];
+    char PUser[255];
+    char WUser[255];
+    char Old_pw[255];
+    char WOld_pw[255];
+    char New_pw1[255];
+    char New_pw2[255];
+    char Action[255];
+    char Msg[MAXLEN];
+    char command[255];
+    char PwdFile[MAXLEN] = "c:\\squid23\\etc\\passwd";
+    char IpAuth[MAXLEN] = "";
+    char PwdMinLen[255] = "4";
+    char PwdMaxLen[255] = "10";
+    char ShowPwd[255] = "no";
+    char PwdMinChar[255] = "0";
+    char PwdMinNum[255] = "0";
+    char PwdMinSpec[255] = "0";
+    char BgColor[255] = "white";
+    char TiColor[255] = "green";
+    char TxColor[255] = "blue";
+    char RuColor[255] = "red";
+    char Logo[MAXLEN] = "";
+    char Width[MAXLEN] = "80";
+    char Height[MAXLEN] = "80";
+    char Header[MAXLEN];
+    char BgImage[MAXLEN] = "";
+    char SmtpUser[MAXLEN] = "";
+    char SmtpSubject[MAXLEN] = "CHPASSWD EVENT";
+    char InputBuffer[1024];
+    char ConfigFile[255];
+    char PwdLogFile[255];
+    char *pContentLength;
+    char *str;
+    char *cpw, salt[3];
+    int ContentLength;
+    int i;
+    int x, ok = 0;
 
     tn = NULL;
     fpw = NULL;
     tmp = NULL;
 
-    buf[0]='\0';
-    User[0]='\0';
-    PUser[0]='\0';
-    WUser[0]='\0';
-    Old_pw[0]='\0';
-    WOld_pw[0]='\0';
-    New_pw1[0]='\0';
-    New_pw2[0]='\0';
-    Action[0]='\0';
-    Msg[0]='\0';
-    command[0]='\0';
-    PwdLogFile[0]='\0';
-    strcpy(Header,msg22);
+    buf[0] = '\0';
+    User[0] = '\0';
+    PUser[0] = '\0';
+    WUser[0] = '\0';
+    Old_pw[0] = '\0';
+    WOld_pw[0] = '\0';
+    New_pw1[0] = '\0';
+    New_pw2[0] = '\0';
+    Action[0] = '\0';
+    Msg[0] = '\0';
+    command[0] = '\0';
+    PwdLogFile[0] = '\0';
+    strcpy(Header, msg22);
 
-    sprintf(ConfigFile,"%s\\chpasswd.conf","c:\\squid23\\etc");
+    sprintf(ConfigFile, "%s\\chpasswd.conf", "c:\\squid23\\etc");
     if (access(ConfigFile, R_OK) == 0)
-       getconf(ConfigFile,IpAuth,PwdFile,PwdMinLen,PwdMaxLen,PwdMinChar,PwdMinNum,PwdMinSpec,PwdLogFile,ShowPwd,BgColor,TxColor,TiColor,RuColor,Logo,Width,Height,Header,BgImage,SmtpUser,SmtpSubject);
-
-    if (strlen(IpAuth) > 0 ) {
-       if (access(IpAuth, R_OK) != 0) {
-          Hmsg(msg27);
-          if(strlen(PwdLogFile) > 0)
-             Log(PwdLogFile,"-","","no",msg27,PwdFile,SmtpUser,SmtpSubject);
-          exit(1);
-       }
-       vrfyauth(IpAuth,PwdLogFile,PwdFile,SmtpUser,SmtpSubject);
+	getconf(ConfigFile, IpAuth, PwdFile, PwdMinLen, PwdMaxLen, PwdMinChar,
+	    PwdMinNum, PwdMinSpec, PwdLogFile, ShowPwd, BgColor, TxColor,
+	    TiColor, RuColor, Logo, Width, Height, Header, BgImage, SmtpUser,
+	    SmtpSubject);
+
+    if (strlen(IpAuth) > 0) {
+	if (access(IpAuth, R_OK) != 0) {
+	    Hmsg(msg27);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, "-", "", "no", msg27, PwdFile, SmtpUser,
+		    SmtpSubject);
+	    exit(1);
+	}
+	vrfyauth(IpAuth, PwdLogFile, PwdFile, SmtpUser, SmtpSubject);
     }
 
     if (strcmp(getenv("REQUEST_METHOD"), "GET") == 0) {
-	UserForm(PwdMinLen,PwdMaxLen,PwdMinChar,PwdMinNum,PwdMinSpec,BgColor,TxColor,TiColor,RuColor,Logo,Width,Height,Header,BgImage);
+	UserForm(PwdMinLen, PwdMaxLen, PwdMinChar, PwdMinNum, PwdMinSpec,
+	    BgColor, TxColor, TiColor, RuColor, Logo, Width, Height, Header,
+	    BgImage);
 	return;
     }
 
@@ -137,74 +144,79 @@
     getword(New_pw2, InputBuffer, '&');
     getword(Action, InputBuffer, '=');
 
-    if(atoi(PwdMinChar) || atoi(PwdMinNum) || atoi(PwdMinSpec))
-       vrfyrule(New_pw1,PwdMinChar,PwdMinNum,PwdMinSpec);
+    if (atoi(PwdMinChar) || atoi(PwdMinNum) || atoi(PwdMinSpec))
+	vrfyrule(New_pw1, PwdMinChar, PwdMinNum, PwdMinSpec);
 
     fixpwd(Old_pw);
 
     if (strcmp(Action, "change") == 0) {
-        if (strlen(New_pw1) < atoi(PwdMinLen)) {
-            sprintf(Msg, "%s %s %s",msg02, PwdMinLen, msg03);
- 	    if(strlen(PwdLogFile) > 0)
-  	       Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+	if (strlen(New_pw1) < atoi(PwdMinLen)) {
+	    sprintf(Msg, "%s %s %s", msg02, PwdMinLen, msg03);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, User, New_pw1, ShowPwd, Msg, PwdFile, SmtpUser,
+		    SmtpSubject);
 	    Herror(Msg, fpw, tmp);
 	    return;
-        }
+	}
 
 	if (strlen(New_pw1) > atoi(PwdMaxLen)) {
-	    sprintf(Msg, "%s %s %s",msg04, PwdMaxLen, msg03);
-            if(strlen(PwdLogFile) > 0)
-               Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+	    sprintf(Msg, "%s %s %s", msg04, PwdMaxLen, msg03);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, User, New_pw1, ShowPwd, Msg, PwdFile, SmtpUser,
+		    SmtpSubject);
 	    Herror(Msg, fpw, tmp);
 	    return;
 	}
 
 	if (strcmp(Old_pw, New_pw1) == 0) {
-	    sprintf(Msg, "%s",msg05);
-            if(strlen(PwdLogFile) > 0)
-               Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+	    sprintf(Msg, "%s", msg05);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, User, New_pw1, ShowPwd, Msg, PwdFile, SmtpUser,
+		    SmtpSubject);
 	    Herror(Msg, fpw, tmp);
 	    return;
 	}
 	if (strcmp(New_pw1, New_pw2) != 0) {
-	    sprintf(Msg, "%s",msg06);
-            if(strlen(PwdLogFile) > 0)
-               Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+	    sprintf(Msg, "%s", msg06);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, User, New_pw1, ShowPwd, Msg, PwdFile, SmtpUser,
+		    SmtpSubject);
 	    Herror(Msg, fpw, tmp);
 	    return;
 	}
 	if ((fpw = fopen(PwdFile, "r")) == NULL) {
-	    sprintf(Msg, "%s %s",msg07, PwdFile);
+	    sprintf(Msg, "%s %s", msg07, PwdFile);
 	    Herror(Msg, fpw, tmp);
 	    return;
 	}
 	tn = tmpnam(NULL);
 	if ((tmp = fopen(tn, "w")) == NULL) {
-	    sprintf(Msg, "%s",msg08);
+	    sprintf(Msg, "%s", msg08);
 	    Herror(Msg, fpw, tmp);
 	    return;
 	}
 	while (fgets(buf, MAXLEN, fpw) != NULL) {
 
 	    if (!ok) {
-                strcpy(PUser,User);
-                strcat(PUser,":");
+		strcpy(PUser, User);
+		strcat(PUser, ":");
 
-                if ((str = (char *) strstr(buf, PUser)) != (char *) NULL ) {
+		if ((str = (char *) strstr(buf, PUser)) != (char *) NULL) {
 		    getword(WUser, buf, ':');
 		    getword(WOld_pw, buf, '\n');
 
 		    if (strcmp(WOld_pw, crypt(Old_pw, WOld_pw)) != 0) {
-			sprintf(Msg, "%s %s",msg09, User);
-            		if(strlen(PwdLogFile) > 0)
-               		   Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+			sprintf(Msg, "%s %s", msg09, User);
+			if (strlen(PwdLogFile) > 0)
+			    Log(PwdLogFile, User, New_pw1, ShowPwd, Msg,
+				PwdFile, SmtpUser, SmtpSubject);
 			Herror(Msg, fpw, tmp);
 			return;
 		    }
-                    fixpwd(New_pw1);
+		    fixpwd(New_pw1);
 		    (void) srand((int) time((time_t *) NULL));
 		    to64(&salt[0], rand(), 2);
-		    cpw = crypt(New_pw1, salt);	
+		    cpw = crypt(New_pw1, salt);
 		    sprintf(buf, "%s:%s\n", User, cpw);
 		    ok++;
 
@@ -221,16 +233,19 @@
 	unlink(tn);
 
 	if (ok)
-	    Changed(User, PwdLogFile, New_pw1, ShowPwd, PwdFile, SmtpUser, SmtpSubject);
+	    Changed(User, PwdLogFile, New_pw1, ShowPwd, PwdFile, SmtpUser,
+		SmtpSubject);
 	else
-	    NotFound(User, PwdLogFile, New_pw1, ShowPwd, PwdFile, SmtpUser, SmtpSubject);
+	    NotFound(User, PwdLogFile, New_pw1, ShowPwd, PwdFile, SmtpUser,
+		SmtpSubject);
     } else {
-        if (strcmp(Action, "cancel") == 0) {
-   	   sprintf(Msg, "%s",msg10);
-           if(strlen(PwdLogFile) > 0)
-              Log(PwdLogFile,User,New_pw1,ShowPwd,Msg,PwdFile,SmtpUser,SmtpSubject);
-	   Herror(Msg, fpw, tmp);
-	   return;
+	if (strcmp(Action, "cancel") == 0) {
+	    sprintf(Msg, "%s", msg10);
+	    if (strlen(PwdLogFile) > 0)
+		Log(PwdLogFile, User, New_pw1, ShowPwd, Msg, PwdFile, SmtpUser,
+		    SmtpSubject);
+	    Herror(Msg, fpw, tmp);
+	    return;
 	}
     }
     return;
@@ -240,8 +255,7 @@
 void
 getword(char *word, char *line, char stop)
 {
-    int             x = 0,
-                    y;
+    int x = 0, y;
 
     for (x = 0; ((line[x]) && (line[x] != stop)); x++)
 	word[x] = line[x];
@@ -286,7 +300,7 @@
 void
 putline(FILE * f, char *l)
 {
-    int             x;
+    int x;
 
     for (x = 0; l[x]; x++)
 	fputc(l[x], f);
@@ -297,12 +311,13 @@
 static unsigned char itoa64[] =	/*
 				 * 0 ... 63 => ascii - 64 
 				 */
-"./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
+    "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
 
-void to64(s, v, n)
-    register char  *s;
-    register long   v;
-    register int    n;
+void
+to64(s, v, n)
+     register char *s;
+     register long v;
+     register int n;
 {
     while (--n >= 0) {
 	*s++ = itoa64[v & 0x3f];
@@ -312,7 +327,8 @@
 
 
 void
-Changed(char *user, char *PwdLogFile, char *newpwd, char *showpwd, char *PwdFile, char *SmtpUser, char *SmtpSubject)
+Changed(char *user, char *PwdLogFile, char *newpwd, char *showpwd,
+    char *PwdFile, char *SmtpUser, char *SmtpSubject)
 {
     char Msg[MAXLEN];
 
@@ -320,10 +336,11 @@
     puts("\n");
     printf("<html>\n");
     printf("<font color=blue size=+2>");
-    sprintf(Msg, "%s %s %s",msg11, user, msg12);
-    if(strlen(PwdLogFile) > 0)
-       Log(PwdLogFile,user,newpwd,showpwd,Msg,PwdFile,SmtpUser,SmtpSubject);
-    strcat(Msg,"</font>");
+    sprintf(Msg, "%s %s %s", msg11, user, msg12);
+    if (strlen(PwdLogFile) > 0)
+	Log(PwdLogFile, user, newpwd, showpwd, Msg, PwdFile, SmtpUser,
+	    SmtpSubject);
+    strcat(Msg, "</font>");
     printf(Msg);
 
     return;
@@ -331,7 +348,8 @@
 
 
 void
-NotFound(char *user, char *PwdLogFile, char *newpwd, char *showpwd, char *PwdFile, char *SmtpUser, char *SmtpSubject)
+NotFound(char *user, char *PwdLogFile, char *newpwd, char *showpwd,
+    char *PwdFile, char *SmtpUser, char *SmtpSubject)
 {
     char Msg[MAXLEN];
 
@@ -339,309 +357,314 @@
     puts("\n");
     printf("<html>\n");
     printf("<font color=red size=+2>");
-    sprintf(Msg, "%s %s %s",msg13, user, msg14);
+    sprintf(Msg, "%s %s %s", msg13, user, msg14);
     printf(Msg);
     printf("</font>\n");
-    
-    if(strlen(PwdLogFile) > 0)
-       Log(PwdLogFile,user,newpwd,showpwd,Msg,PwdFile,SmtpUser,SmtpSubject);
+
+    if (strlen(PwdLogFile) > 0)
+	Log(PwdLogFile, user, newpwd, showpwd, Msg, PwdFile, SmtpUser,
+	    SmtpSubject);
     return;
 }
 
 
 static void
 fixpwd(str)
-        unsigned char   *str;
+     unsigned char *str;
 {
-        unsigned char   *dest = str;
+    unsigned char *dest = str;
 
-        while (str[0])
-        {
-                if (str[0] == '+')
-                        dest[0] = ' ';
-                else if (str[0] == '%' && hhex(str[1]) && hhex(str[2]))
-                {
-                        dest[0] = (unsigned char) htoi(str + 1);
-                        str += 2;
-                }
-                else
-                        dest[0] = str[0];
-
-                str++;
-                dest++;
-        }
+    while (str[0]) {
+	if (str[0] == '+')
+	    dest[0] = ' ';
+	else if (str[0] == '%' && hhex(str[1]) && hhex(str[2])) {
+	    dest[0] = (unsigned char) htoi(str + 1);
+	    str += 2;
+	} else
+	    dest[0] = str[0];
 
-        dest[0] = '\0';
-	return;
+	str++;
+	dest++;
+    }
+
+    dest[0] = '\0';
+    return;
 
 }
 
 
 static int
 htoi(s)
-        unsigned char   *s;
+     unsigned char *s;
 {
-        int     value;
-        char    c;
+    int value;
+    char c;
+
+    c = s[0];
+    if (isupper(c))
+	c = tolower(c);
+    value = (c >= '0' && c <= '9' ? c - '0' : c - 'a' + 10) * 16;
+
+    c = s[1];
+    if (isupper(c))
+	c = tolower(c);
+    value += c >= '0' && c <= '9' ? c - '0' : c - 'a' + 10;
 
-        c = s[0];
-        if (isupper(c))
-                c = tolower(c);
-        value = (c >= '0' && c <= '9' ? c - '0' : c - 'a' + 10) * 16;
-
-        c = s[1];
-        if (isupper(c))
-                c = tolower(c);
-        value += c >= '0' && c <= '9' ? c - '0' : c - 'a' + 10;
-
-        return (value);
+    return (value);
 }
 
 
-void getconf(ConfigFile, IpAuth, PwdFile, PwdMinLen, PwdMaxLen, PwdMinChar, PwdMinNum, PwdMinSpec, PwdLogFile, ShowPwd, BgColor, TxColor, TiColor, RuColor, Logo, Width, Height, Header, BgImage, SmtpUser, SmtpSubject)
-	unsigned char *ConfigFile;
-	unsigned char *PwdFile;
-	unsigned char *IpAuth;
-	unsigned char *PwdLogFile;
-        unsigned char *ShowPwd;
-	unsigned char *PwdMinLen;
-	unsigned char *PwdMaxLen;
-	unsigned char *PwdMinChar;
-	unsigned char *PwdMinNum;
-	unsigned char *PwdMinSpec;
-	unsigned char *BgColor;
-	unsigned char *TxColor;
-	unsigned char *TiColor;
-	unsigned char *RuColor;
-	unsigned char *Logo;
-	unsigned char *Width;
-	unsigned char *Height;
-	unsigned char *Header;
-	unsigned char *BgImage;
-	unsigned char *SmtpUser;
-	unsigned char *SmtpSubject;
-{
-        
-        FILE *fp_in;
-        char buf[255];
-        char wbuf[255];
-	char Msg[255];
-	char *str;
-
-        if ((fp_in = fopen(ConfigFile, "r")) == NULL) {
-            sprintf(Msg, "%s %s", msg15, ConfigFile);
-	    Hmsg(Msg);
-	    exit(1);
+void
+getconf(ConfigFile, IpAuth, PwdFile, PwdMinLen, PwdMaxLen, PwdMinChar,
+    PwdMinNum, PwdMinSpec, PwdLogFile, ShowPwd, BgColor, TxColor, TiColor,
+    RuColor, Logo, Width, Height, Header, BgImage, SmtpUser, SmtpSubject)
+     unsigned char *ConfigFile;
+     unsigned char *PwdFile;
+     unsigned char *IpAuth;
+     unsigned char *PwdLogFile;
+     unsigned char *ShowPwd;
+     unsigned char *PwdMinLen;
+     unsigned char *PwdMaxLen;
+     unsigned char *PwdMinChar;
+     unsigned char *PwdMinNum;
+     unsigned char *PwdMinSpec;
+     unsigned char *BgColor;
+     unsigned char *TxColor;
+     unsigned char *TiColor;
+     unsigned char *RuColor;
+     unsigned char *Logo;
+     unsigned char *Width;
+     unsigned char *Height;
+     unsigned char *Header;
+     unsigned char *BgImage;
+     unsigned char *SmtpUser;
+     unsigned char *SmtpSubject;
+{
+
+    FILE *fp_in;
+    char buf[255];
+    char wbuf[255];
+    char Msg[255];
+    char *str;
+
+    if ((fp_in = fopen(ConfigFile, "r")) == NULL) {
+	sprintf(Msg, "%s %s", msg15, ConfigFile);
+	Hmsg(Msg);
+	exit(1);
+    }
+
+    while (fgets(buf, MAXLEN, fp_in) != NULL) {
+	if ((str = (char *) strstr(buf, "#")) != (char *) NULL)
+	    continue;
+
+	if (strstr(buf, "password_file") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdFile, buf, ' ');
+	    PwdFile[strlen(PwdFile) - 1] = '\0';
+	}
+
+	if (strstr(buf, "ip_auth") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(IpAuth, buf, ' ');
+	    IpAuth[strlen(IpAuth) - 1] = '\0';
 	}
 
-	while (fgets(buf, MAXLEN, fp_in) != NULL) {
-	   if((str=(char *) strstr(buf,"#")) != (char *) NULL) 
-	      continue;
-
- 	   if(strstr(buf,"password_file") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdFile,buf,' ');
-	      PwdFile[strlen(PwdFile)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"ip_auth") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(IpAuth,buf,' ');
-	      IpAuth[strlen(IpAuth)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"minimum_length") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdMinLen,buf,' ');
-	      PwdMinLen[strlen(PwdMinLen)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"maximum_length") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdMaxLen,buf,' ');
-	      PwdMaxLen[strlen(PwdMaxLen)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"minimum_char") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdMinChar,buf,' ');
-	      PwdMinChar[strlen(PwdMinChar)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"minimum_num") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdMinNum,buf,' ');
-	      PwdMinNum[strlen(PwdMinNum)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"minimum_spec") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdMinSpec,buf,' ');
-	      PwdMinSpec[strlen(PwdMinSpec)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"enable_log") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(PwdLogFile,buf,'\0');
-	      PwdLogFile[strlen(PwdLogFile)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"show_pwd") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(ShowPwd,buf,'\0');
-	      ShowPwd[strlen(ShowPwd)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"background_color") != 0) {
-	      getword(wbuf,buf,' ');
-              getword(BgColor,buf,'\0');
-	      BgColor[strlen(BgColor)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"text_color") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(TxColor,buf,'\0');
-	      TxColor[strlen(TxColor)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"title_color") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(TiColor,buf,'\0');
-	      TiColor[strlen(TiColor)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"rules_color") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(RuColor,buf,'\0');
-	      RuColor[strlen(RuColor)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"logo_image") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(Logo,buf,'\0');
-	      Logo[strlen(Logo)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"background_image") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(BgImage,buf,'\0');
-	      BgImage[strlen(BgImage)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"alert_mail_user") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(SmtpUser,buf,'\0');
-	      SmtpUser[strlen(SmtpUser)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"alert_mail_subject") != 0) {
-	      getword(wbuf,buf,'"');
-	      getword(SmtpSubject,buf,'"');
-	   }
-
- 	   if(strstr(buf,"image_size") != 0) {
-	      getword(wbuf,buf,' ');
-	      getword(Width,buf,' ');
-	      getword(Height,buf,'\0');
-	      Height[strlen(Height)-1]='\0';
-	   }
-
- 	   if(strstr(buf,"header") != 0) {
-	      getword(wbuf,buf,'"');
-	      getword(Header,buf,'"');
-	   }
+	if (strstr(buf, "minimum_length") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdMinLen, buf, ' ');
+	    PwdMinLen[strlen(PwdMinLen) - 1] = '\0';
+	}
 
+	if (strstr(buf, "maximum_length") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdMaxLen, buf, ' ');
+	    PwdMaxLen[strlen(PwdMaxLen) - 1] = '\0';
 	}
-	
-        fclose(fp_in);
-	return;
+
+	if (strstr(buf, "minimum_char") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdMinChar, buf, ' ');
+	    PwdMinChar[strlen(PwdMinChar) - 1] = '\0';
+	}
+
+	if (strstr(buf, "minimum_num") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdMinNum, buf, ' ');
+	    PwdMinNum[strlen(PwdMinNum) - 1] = '\0';
+	}
+
+	if (strstr(buf, "minimum_spec") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdMinSpec, buf, ' ');
+	    PwdMinSpec[strlen(PwdMinSpec) - 1] = '\0';
+	}
+
+	if (strstr(buf, "enable_log") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(PwdLogFile, buf, '\0');
+	    PwdLogFile[strlen(PwdLogFile) - 1] = '\0';
+	}
+
+	if (strstr(buf, "show_pwd") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(ShowPwd, buf, '\0');
+	    ShowPwd[strlen(ShowPwd) - 1] = '\0';
+	}
+
+	if (strstr(buf, "background_color") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(BgColor, buf, '\0');
+	    BgColor[strlen(BgColor) - 1] = '\0';
+	}
+
+	if (strstr(buf, "text_color") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(TxColor, buf, '\0');
+	    TxColor[strlen(TxColor) - 1] = '\0';
+	}
+
+	if (strstr(buf, "title_color") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(TiColor, buf, '\0');
+	    TiColor[strlen(TiColor) - 1] = '\0';
+	}
+
+	if (strstr(buf, "rules_color") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(RuColor, buf, '\0');
+	    RuColor[strlen(RuColor) - 1] = '\0';
+	}
+
+	if (strstr(buf, "logo_image") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(Logo, buf, '\0');
+	    Logo[strlen(Logo) - 1] = '\0';
+	}
+
+	if (strstr(buf, "background_image") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(BgImage, buf, '\0');
+	    BgImage[strlen(BgImage) - 1] = '\0';
+	}
+
+	if (strstr(buf, "alert_mail_user") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(SmtpUser, buf, '\0');
+	    SmtpUser[strlen(SmtpUser) - 1] = '\0';
+	}
+
+	if (strstr(buf, "alert_mail_subject") != 0) {
+	    getword(wbuf, buf, '"');
+	    getword(SmtpSubject, buf, '"');
+	}
+
+	if (strstr(buf, "image_size") != 0) {
+	    getword(wbuf, buf, ' ');
+	    getword(Width, buf, ' ');
+	    getword(Height, buf, '\0');
+	    Height[strlen(Height) - 1] = '\0';
+	}
+
+	if (strstr(buf, "header") != 0) {
+	    getword(wbuf, buf, '"');
+	    getword(Header, buf, '"');
+	}
+
+    }
+
+    fclose(fp_in);
+    return;
 }
 
 
-void Log(pwdlogfile, user, newpwd, showpwd, msg, pwdfile, smtpuser, smtpsubject)
-	unsigned char *pwdlogfile;
-	unsigned char *user;
-	unsigned char *newpwd;
-	unsigned char *showpwd;
-	unsigned char *msg;
-	unsigned char *pwdfile;
-	unsigned char *smtpuser;
-	unsigned char *smtpsubject;
-{
-	FILE *fp_ou;
-	char Msg[MAXLEN];
-	time_t tm;
-	struct tm *t;
-	char time_string[128];
-	char pwd[MAXLEN];
-	
-	tm = time(NULL);
-	t = localtime(&tm);
-	strftime(time_string, 127, "%Y/%m/%d %H:%M:%S", t);
-
-	if ((fp_ou = fopen(pwdlogfile, "a")) == NULL) {
-            sprintf(Msg, "%s %s",msg16, pwdlogfile);
-	    Hmsg(Msg);
-	    exit(1);
-        }
+void
+Log(pwdlogfile, user, newpwd, showpwd, msg, pwdfile, smtpuser, smtpsubject)
+     unsigned char *pwdlogfile;
+     unsigned char *user;
+     unsigned char *newpwd;
+     unsigned char *showpwd;
+     unsigned char *msg;
+     unsigned char *pwdfile;
+     unsigned char *smtpuser;
+     unsigned char *smtpsubject;
+{
+    FILE *fp_ou;
+    char Msg[MAXLEN];
+    time_t tm;
+    struct tm *t;
+    char time_string[128];
+    char pwd[MAXLEN];
+
+    tm = time(NULL);
+    t = localtime(&tm);
+    strftime(time_string, 127, "%Y/%m/%d %H:%M:%S", t);
+
+    if ((fp_ou = fopen(pwdlogfile, "a")) == NULL) {
+	sprintf(Msg, "%s %s", msg16, pwdlogfile);
+	Hmsg(Msg);
+	exit(1);
+    }
 
-        Msg[0]='\0';
-        strcpy(pwd,"-");
-	
-        if(strcmp(showpwd,"yes") == 0){
-           if(strlen(newpwd) > 0)
-	      strcpy(pwd,newpwd);
-	}
-
-        if(strlen(user) == 0)
-           strcpy(user,"-");
-
-        sprintf(Msg, "%s %s %s %s %s pwdfile=%s\n",getenv("REMOTE_ADDR"),time_string,user,pwd,msg,pwdfile);
-        Msg[strlen(Msg)-1]='\n';
-	strip_latin(Msg);
-	fputs(Msg,fp_ou);
-	fclose(fp_ou);
+    Msg[0] = '\0';
+    strcpy(pwd, "-");
 
-        if(strlen(smtpuser) > 0)
-           sendmail(smtpuser,smtpsubject,Msg);
+    if (strcmp(showpwd, "yes") == 0) {
+	if (strlen(newpwd) > 0)
+	    strcpy(pwd, newpwd);
+    }
 
-	return;
+    if (strlen(user) == 0)
+	strcpy(user, "-");
+
+    sprintf(Msg, "%s %s %s %s %s pwdfile=%s\n", getenv("REMOTE_ADDR"),
+	time_string, user, pwd, msg, pwdfile);
+    Msg[strlen(Msg) - 1] = '\n';
+    strip_latin(Msg);
+    fputs(Msg, fp_ou);
+    fclose(fp_ou);
+
+    if (strlen(smtpuser) > 0)
+	sendmail(smtpuser, smtpsubject, Msg);
+
+    return;
 
 }
 
 
-static void vrfyrule(unsigned char *str, unsigned char *minchar, unsigned char *minnum, unsigned char *minspec)
+static void
+vrfyrule(unsigned char *str, unsigned char *minchar, unsigned char *minnum,
+    unsigned char *minspec)
 {
-    int tnum=0, talfa=0, tspec=0;
+    int tnum = 0, talfa = 0, tspec = 0;
     char *ostr = str;
 
-    while(str[0]) {
-       if (str[0] == '%' && hhex(str[1]) && hhex(str[2])) {
-          tspec++;
-	  str=str+3;
-	  continue;
-       }
-       if (str[0] == '.') {
-          tspec++;
-	  str++;
-	  continue;
-       }
-       if ((str[0] >= 'a' && str[0] <= 'z') || (str[0] >='A' && str[0] <= 'Z')) 
-          talfa++;
-       if (str[0] >= '0' && str[0] <= '9')
-          tnum++;
-
-       str++;
+    while (str[0]) {
+	if (str[0] == '%' && hhex(str[1]) && hhex(str[2])) {
+	    tspec++;
+	    str = str + 3;
+	    continue;
+	}
+	if (str[0] == '.') {
+	    tspec++;
+	    str++;
+	    continue;
+	}
+	if ((str[0] >= 'a' && str[0] <= 'z') || (str[0] >= 'A'
+		&& str[0] <= 'Z')) talfa++;
+	if (str[0] >= '0' && str[0] <= '9')
+	    tnum++;
+
+	str++;
     }
 
-    if(talfa < atoi(minchar))
-       rulefail(minchar,minnum,minspec);
+    if (talfa < atoi(minchar))
+	rulefail(minchar, minnum, minspec);
 
-    if(tnum < atoi(minnum))
-       rulefail(minchar,minnum,minspec);
+    if (tnum < atoi(minnum))
+	rulefail(minchar, minnum, minspec);
 
-    if(tspec < atoi(minspec))
-       rulefail(minchar,minnum,minspec);
+    if (tspec < atoi(minspec))
+	rulefail(minchar, minnum, minspec);
 
     return;
 }
@@ -656,25 +679,35 @@
     puts("\n");
     printf("<html>\n");
     printf("<font color=red size=+2>");
-    sprintf(Msg,"%s</font><br><br>",msg17);
+    sprintf(Msg, "%s</font><br><br>", msg17);
     printf(Msg);
-    sprintf(Msg,"%s<br><br>\n",msg18);
+    sprintf(Msg, "%s<br><br>\n", msg18);
     printf(Msg);
 
-    if(strcmp(minchar,"0") != 0)
-       printf("<table><tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",msg19,minchar);
-      else
-       printf("<table><tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",msg19);
-
-    if(strcmp(minnum,"0") != 0)
-       printf("<tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",msg20,minnum);
-     else
-       printf("<tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",msg20);
-
-    if(strcmp(minspec,"0") != 0)
-       printf("<tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",msg21,minspec);
-     else
-       printf("<tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",msg21);
+    if (strcmp(minchar, "0") != 0)
+	printf
+	    ("<table><tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",
+	    msg19, minchar);
+    else
+	printf
+	    ("<table><tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",
+	    msg19);
+
+    if (strcmp(minnum, "0") != 0)
+	printf
+	    ("<tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",
+	    msg20, minnum);
+    else
+	printf("<tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",
+	    msg20);
+
+    if (strcmp(minspec, "0") != 0)
+	printf
+	    ("<tr><td align=right>%s</td><td align=left><b>%s</b></td></tr>\n",
+	    msg21, minspec);
+    else
+	printf("<tr><td align=right>%s</td><td align=left><b></b></td></tr>\n",
+	    msg21);
 
     printf("</table>\n");
 
